# CSInto

    @objc
    public final class CSInto : NSObject

The `CSInto` serves as the Objective-C bridging type for `Into<T>`.

See also

`Into`

- `entityClass`

  The associated `NSManagedObject` entity class

  #### Declaration

  Swift

      @objc
      public var entityClass: NSManagedObject.Type { get }

- `configuration`

  The `NSPersistentStore` configuration name to associate objects from. May contain a `String` to pertain to a named configuration, or `nil` to pertain to the default configuration

  #### Declaration

  Swift

      @objc
      public var configuration: ModelConfiguration { get }

- `init(entityClass:)`

  Initializes a `CSInto` clause with the specified entity class.

      MyPersonEntity *person = [transaction createInto:
         CSIntoClass([MyPersonEntity class])];

  #### Declaration

  Swift

      @objc
      public convenience init(entityClass: NSManagedObject.Type)

  #### Parameters

  `entityClass` | the `NSManagedObject` class type to be created

- `init(entityClass:configuration:)`

  Initializes a `CSInto` clause with the specified configuration.

      MyPersonEntity *person = [transaction createInto:
         CSIntoClass([MyPersonEntity class])];

  #### Declaration

  Swift

      @objc
      public convenience init(entityClass: NSManagedObject.Type, configuration: ModelConfiguration)

  #### Parameters

  `entityClass` | the `NSManagedObject` class type to be created
  `configuration` | the `NSPersistentStore` configuration name to associate the object to. This parameter is required if multiple configurations contain the created `NSManagedObject`‘s entity type. Set to `nil` to use the default configuration.